# Uses of Class
org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl.AbstractMergeViewer

Packages that use AbstractMergeViewer
Package
Description
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.table
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree
org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl

## Uses of AbstractMergeViewer in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.table

Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.table that return AbstractMergeViewer
Modifier and Type
Method
Description
`protected AbstractMergeViewer`
TableContentMergeViewer.`createMergeViewer(org.eclipse.swt.widgets.Composite parent, IMergeViewer.MergeViewerSide side)`
Creates the merge viewer for the given parent and the given side.

## Uses of AbstractMergeViewer in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree

Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree that return AbstractMergeViewer
Modifier and Type
Method
Description
`protected AbstractMergeViewer`
TreeContentMergeViewer.`createMergeViewer(org.eclipse.swt.widgets.Composite parent, IMergeViewer.MergeViewerSide side)`
Creates the merge viewer for the given parent and the given side.

## Uses of AbstractMergeViewer in org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl

Subclasses of AbstractMergeViewer in org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl
Modifier and Type
Class
Description
`class`
`AbstractStructuredMergeViewer`
A specific `AbstractMergeViewer` for the EMF Compare Editor.
`class`
`AbstractTableOrTreeMergeViewer`
An abstract specialization of `AbstractStructuredMergeViewer` for Tables or Trees.
`class`
`TableMergeViewer`
A concrete implementation of `AbstractTableOrTreeMergeViewer` for TableViewer.
`class`
`TreeMergeViewer`
A concrete implementation of `AbstractTableOrTreeMergeViewer` for TreeViewer.